# 固定前缀org.quartz。
# 主要分为scheduler、threadPool、jobStore、plugin等部分
#org.quartz.scheduler.instanceName = DefaultQuartzScheduler
#
org.quartz.scheduler.instanceName = MyQuartzScheduler
org.quartz.scheduler.rmi.export = false
org.quartz.scheduler.rmi.proxy = false
org.quartz.scheduler.wrapJobExecutionInUserTransaction = false

# 实例化ThreadPool时，使用的线程类为SimpleThreadPool
org.quartz.threadPool.class = org.quartz.simpl.SimpleThreadPool

# threadCount和threadPriority将以setter的形式注入ThreadPool实例
# 并发个数
org.quartz.threadPool.threadCount = 5
# 优先级
org.quartz.threadPool.threadPriority = 5
org.quartz.threadPool.threadsInheritContextClassLoaderOfInitializingThread = true
org.quartz.jobStore.misfireThreshold = 5000
# 默认存储在内存中
#org.quartz.jobStore.class = org.quartz.simpl.RAMJobStore
# ———————以上是非持久的配置—————————

#支持集群
org.quartz.jobStore.isClustered = true
org.quartz.jobStore.useProperties:true
org.quartz.jobStore.clusterCheckinInterval = 15000


# ———————以下是持久的配置—————————
org.quartz.jobStore.class = org.quartz.impl.jdbcjobstore.JobStoreTX
#数据库表名称前缀
org.quartz.jobStore.tablePrefix = QRTZ_
#持久化的数据库名称
org.quartz.jobStore.dataSource = qzDS

# 数据库驱动类型com.mysql.jdbc.Driver；  com.mysql.cj.jdbc.Driver
org.quartz.dataSource.qzDS.driver = com.mysql.cj.jdbc.Driver
org.quartz.dataSource.qzDS.URL = jdbc:mysql://127.0.0.1:3306/quartz?allowPublicKeyRetrieval=true&useSSL=false&serverTimezone=Asia/Shanghai&autoReconnect=true&characterEncoding=utf8&allowMultiQueries=true&useOldAliasMetadataBehavior=true&useAffectedRows=true
org.quartz.dataSource.qzDS.user = root
org.quartz.dataSource.qzDS.password = 12345678
org.quartz.dataSource.qzDS.maxConnections = 10

# 使用持久化配置
org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.StdJDBCDelegate

